Subject: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Michael Albinus <[email-masked]>
Date: Mon, 21 Mar 2016 17:25:54 +0100

Dmitry Gutov <[email-masked]> writes:

>> The first case makes more sense. Once non-essential is non-nil, Tramp
>> does not open a new connection until it is obvious that the user wants
>> this. The indication is a slash in the local file name part.
>
> That seems undesirable, and against non-essential's purpose.

Whatever `non-essential's purpose is. *I* have asked for an indication
that file name completion is ongoing. Stefan wanted to use it in a more
general way. I haven't seen the other use cases yet.

Best regards, Michael.